/*	Renegade Scripts.dll
	ArKa_47 Crates
	Copyright 2020 ArKa_47, Shadow-Team

	This file is part of the Renegade scripts.dll
	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
	Only the source code to the module(s) containing the licenced code has to be released.
*/

#include "general.h"
#include "engine.h"
#include "engine_da.h"
#include "da_crate.h"
#include "da.h"
#include "da_player.h"
#include "da_vehicle.h"
#include "GameObjManager.h"

#include "ArKaCrates.h"

// Create the Plugin
ArKaStealthRemovalCrateClass ArKa_StealthRemoval;


ArKaStealthRemovalCrateClass::ArKaStealthRemovalCrateClass() {
	Console_Output("Loading StealthRemoval Crate ; written by ArKa_47\n");
}


ArKaStealthRemovalCrateClass::~ArKaStealthRemovalCrateClass() {
	Console_Output("Un-Loading StealthRemoval Crate ; written by ArKa_47\n");
}


/********************************************* STEALTH REMOVAL CRATE ***********************************************************************/

bool ArKaStealthRemovalCrateClass::Can_Activate(cPlayer* Player) {
	if (Player->Get_GameObj()->Get_Vehicle()) {
		return Player->Get_GameObj()->Get_Vehicle()->Is_Stealth_Enabled();
	}
	else {
		return Player->Get_GameObj()->Is_Stealth_Enabled();
	}
}

void ArKaStealthRemovalCrateClass::Activate(cPlayer* Player) {
	if (Player->Get_GameObj()->Get_Vehicle()) {
		Commands->Enable_Stealth(Player->Get_GameObj()->Get_Vehicle(), false);
		DA::Page_Player(Player, "Your vehicle is no longer stealthed by the Stealth_Removal Crate.");	}
	else {
		Commands->Enable_Stealth(Player->Get_GameObj(),false);
		DA::Page_Player(Player, "You are no longer stealthed by the Stealth_Ramoval Crate.");	}
}
Register_Crate(ArKaStealthRemovalCrateClass, "StealthRemoval", DACrateType::INFANTRY | DACrateType::VEHICLE);
